RDF::Trine::Serializer::RDFJSON(3pm)

NAME
RDF::Trine::Serializer::RDFJSON - RDF/JSON Serializer

VERSION
This document describes RDF::Trine::Serializer::RDF/JSON version 1.014

SYNOPSIS
 use RDF::Trine::Serializer::RDFJSON;
 my $serializer = RDF::Trine::Serializer::RDFJSON->new();

DESCRIPTION
The RDF::Trine::Serializer::Turtle class provides an API for serializing RDF graphs to the RDF/JSON syntax.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Serializer class.

"new"
    Returns a new serializer object.

"serialize_model_to_file ( $file, $model [,\%json_options] )"
    Serializes the $model to RDF/JSON, printing the results to the supplied $file handle.

    %json_options is an options hash suitable for JSON::to_json.

"serialize_model_to_string ( $model [,\%json_options] )"
    Serializes the $model to RDF/JSON, returning the result as a string.

    %json_options is an options hash suitable for JSON::to_json.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://n2.talis.com/wiki/RDF_JSON_Specification>

AUTHOR
 Toby Inkster <tobyink@cpan.org>
 Gregory Williams <gwilliams@cpan.org>

COPYRIGHT
Copyright (c) 2010 Toby Inkster. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.